Subject: New Work - Re: [Sipping] Re: [Sip] Thoughts on the Principle of Dividingand Conquering

From: Cullen Jennings <[email-masked]>
Date: Wed, 01 Mar 2006 09:30:52 -0800

So I am hearing that people want the Chairs and ADs, before putting down new
milestones or working group drafts, to have a very clear idea of:

There are people to do the work
There are people to review the work
There are people to implement the work
There is a PROTOS shepherd
There are the tools to manage the work of writing the draft
There is a clear timetable

This all seem like a "good idea" to me. Let me know if you disagree or if we
there are more key items that need to be on the list.

On 2/27/06 5:35 PM, "Henning Schulzrinne" <[email-masked]> wrote:

>> 
>> I agree PROTOS helps - thoughts on how to make this "earlier and
>> more"?
>> 
> 
> For each draft that has become draft-ietf-*-00, there should be a
> "graduation plan":
> 
> - a WGLC date (most draft-ietf have now undergone several revisions
> in draft-personal already)
> - a responsible PROTOS chair (one of the WG chairs, presumably)
> - an issue tracker
> - a set of designated WG reviewers (no reviewers, no promotion to WG
> item)
> 
> I have in the past suggested something similar to Mary's suggestion,
> namely having a planned schedule of WGLCs.
> 
>> 
>> It's true debating for a year would be be useless. I think we are
>> lucky
>> enough to have the experiment already partially run (I'm thinking
>> of XCON
>> and SIMPLE). My problem is I can't figure out how to interpret the
>> results.
>> You have been involved in both - what's your take. Did moving that
>> work
>> change the time it takes to do it by more than 30%? What are the
>> critical
>> things we need to do to make a separate working group be more
>> effective?
>> This question is of fairly short term importance given we are having a
>> P2P-SIP BOF at the next meeting.
> 
> I think the issues are somewhat different in both cases, although I
> think that project management is not exactly a strength in any of the
> SIP-related WGs. Given the particular issues in those WGs, I don't
> think they make good case studies.
> 
> XCON seems to suffer from directional uncertainty. That doesn't seem
> to apply to the maintenance proposals that are dominating the SIP and
> SIPPING docket.
> 
> SIMPLE seems to suffer from policy and complexity creep, with ever
> more XML policy documents and no agreement on MSRP (which leads to
> people tuning out after I-Ds reach two-digit version numbers). I
> don't think the SIP and SIPPING work has quite the same flavor right
> now, being more incremental and less ambitious.
> 
>> 
>> Have the folks on the list classify drafts by work required to
>> finish them:
>> Trivial, Medium and Huge. Then also classify by urgency to complete
>> in if
>> they are needed: Yesterday, Now, or Soon. From this we might be
>> able to pick
>> out the drafts that we could finish quickly. I'm imagine the ADs
>> would be
>> interested in private feedback on people that could be good task
>> masters and
>> "get things done". I'm not sure exactly how this person would help
>> get the
>> stuff moving. They could hound the authors. They could ask people
>> to review.
>> I suspect one large thing is that they can focus the energy.  At
>> this point
>> it really starts to sounds like this idea might converge with what
>> Mike and
>> Mary were saying. I'll put a few more comments over on that email
>> thread.
> 
> I think it would be good to ask for each draft "why isn't it done
> yet"? If the answer is "no time", maybe it's time to get an editor
> appointed that does the finishing work and is willing to ship.
> 
> I would certainly value regular, brief status reports on each draft,
> as in
> 
> draft: draft-ietf-foobar-29
> status: needs final review; IANA section
> token: author
> Charter: August 2002
> WGLC: scheduled March 2006
> 
> I think that would allow the WG as a whole to form more informed
> opinion as to where the WG stands and what measures might be most
> effective. I had hoped that this would be part of the role of the WG
> secretary.
> 
> Henning
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP